# Exports & events

## Client side

<details>

<summary><strong>Opening organization tablet</strong></summary>

```lua
TriggerEvent("pc_organizations:OpenTablet")
```

```lua
exports.pc_organizations:openTablet()
```

<mark style="color:blue;">Opens the organization tablet for triggering player.</mark>

</details>

<details>

<summary><strong>Checking for organization job</strong></summary>

```lua
exports.pc_organizations:hasOrgJob()
```

<mark style="color:blue;">returns:</mark>\
If player is a part of organization returns organization name (string) else returns false (boolean)

</details>

## Server side

<details>

<summary><strong>Opening organization tablet</strong></summary>

```lua
TriggerEvent("pc_organizations:OpenTablet", player)
```

```lua
exports.pc_organizations:openTablet(player)
```

• player - playerId - id of the player you want to check

<mark style="color:blue;">Opens the organization tablet for player with given id.</mark>

</details>

<details>

<summary><strong>Checking for organization job</strong></summary>

```lua
exports.pc_organizations:hasOrgJob(player)
```

• player - playerId - id of the player you want to check

<mark style="color:blue;">returns:</mark>\
If player is a part of organization returns organization name (string) else returns false (boolean)

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.poisoncode.com/scripts/pc_organizations/exports-and-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
